<?php
if (!defined('BASEPATH'))
	exit('No direct script access allowed');

class MY_Model extends CI_Model {
	protected $table = '';
	protected $tablepr = '';
	protected $tableid = 'id';

	public function __construct() {
		parent::__construct();
	}

	public function __get($name) {
		if(isset($this->$name)) return $this->{$name};
		else
		{
			$CI =& get_instance();
			if(isset($CI->{$name})) return $CI->{$name};
			else return FALSE;
		}
	}

	public function set($key, $value = null)
	{
		if (is_array($key))
		{
			foreach ($key as $k => $v)
			{
				$this->data[$k] = $v;
			}
		}
		else
		{
			$this->{$key} = $value;
		}
		return $this;
	}

	public function getId($id) {
		return $this -> db 	-> from($this->table) 
							-> where(array($this->pr.$this->tableid => $id)) 
							-> get() 
							-> result();
	}

	public function fetch($limit, $start) {
		$this -> db -> limit($limit, $start);
		$query = $this -> db -> get($this -> table);
		if ($query -> num_rows() > 0) {
			foreach ($query->result() as $row) {
				$data[] = $row;
			}
			return $data;
		}
		return false;
	}

	public function getAll() {
		return $this -> db 	-> get($this -> table) 
							-> result();
	}

	public function record_count() {
		return $this -> db -> count_all($this -> table);
	}

	public function delete($id) {
		return $this -> db 	-> where($this -> tableid, $id) 
							-> delete($this -> table);
	}

	public function exist($id){
		$var = $this->db->select($this->tablepr.'id')
		->from($this->table)
		->where(array($this->tablepr.'id'=>$id))
		->limit(1)
			->get(); //Le get() permet d'avoir un objet de type mysqlResult
		$result = $var->result();
		if(count($result)>0) return true;
		else return false;
	}

}
