<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Google Maps Api v3</title>
</head>
<style type="text/css">
#container{position:relative;width:990px;margin:auto;left:20px;}
#container #map{width:800px;height:600px;margin:auto;}
</style>
<body onload="initialize();
calculDistance('50.616428','3.127817','50.615897','3.128396');
            calculDuree('50.616428','3.127817','50.615897','3.128396');
            getGeolocalisation();
            getAdresse('50.616428','3.127817')">
<!--<body onload="calculDistance('50.616428','3.127817','50.615897','3.128396');
            calculDuree('50.616428','3.127817','50.615897','3.128396');
            getGeolocalisation();
            getAdresse('50.616428','3.127817')">-->
  <div id="container">
    <div id="information">
    <fieldset>
      <legend>Information</legend>
      <table>
        <!--<tr>
          <td><a href="#" onClick="calculDistance('50.616428','3.127817','50.615897','3.128396');
            calculDuree('50.616428','3.127817','50.615897','3.128396');
            getGeolocalisation();
            getAdresse('50.616428','3.127817')">clic</a></td>
        </tr>-->
        <tr>
          <td>Adresse : </td>
          <td id="adresse" nam="adresse">Inconnue</td>
          <td></td>
        </tr>
        <tr>
          <td>Longitude : </td>
          <td id="long" nam="long">0.0</td>
          <td></td>
        </tr>
        <tr>
          <td>Latitude : </td>
          <td id="lat" nam="lat">0.0</td>
          <td></td>
        </tr>
        <tr>
          <td>Distance : Entre l'actuelle et Norauto</td>
          <td id="km" nam="km">0</td>
          <td>m</td>
        </tr>
        <tr>
          <td>Durée : Entre l'actuelle et Norauto</td>
          <td id="dist" nam="dist">0</td>
          <td>s</td>
        </tr>
      </table>
    </fieldset>
  </div>
  <div id="map">
  </div>
  <!-- Include Javascript -->
  <script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true"></script>
  <!--<script type="text/javascript" src="js/script.js"></script>-->
</body>
</html>

<script type="text/javascript">
var map;
var panel;
var calculate;
var direction;
function initialize() {
  map = new google.maps.Map(document.getElementById("map"), {
    zoom: 19,
    center: new google.maps.LatLng(48.858565, 2.347198),
    mapTypeId: google.maps.MapTypeId.ROADMAP
  });

  if (navigator.geolocation){
    var watchId = navigator.geolocation.watchPosition(successCallback,null,{enableHighAccuracy:true});
  }
  else{
    alert("Votre navigateur ne prend pas en compte la géolocalisation HTML5");
  }

  function successCallback(position){
    map.panTo(new google.maps.LatLng(position.coords.latitude, position.coords.longitude));
    var marker = new google.maps.Marker(
      {position: new google.maps.LatLng(position.coords.latitude, position.coords.longitude),map: map}
      );

//Pour afficher la distance
direction = new google.maps.DirectionsRenderer({
  map   : map,
  panel : panel
});
var myLatinOrigin = new google.maps.LatLng(position.coords.latitude,position.coords.longitude);
var myLatinDest = new google.maps.LatLng(50.616428, 3.127817);
var request = {
  origin      : myLatinOrigin,
  destination : myLatinDest,
            travelMode  : google.maps.DirectionsTravelMode.DRIVING // Type de transport
          }

    var directionsService = new google.maps.DirectionsService(); // Service de calcul d'itinéraire
        directionsService.route(request, function(response, status){ // Envoie de la requête pour calculer le parcours
          if(status == google.maps.DirectionsStatus.OK){
                direction.setDirections(response); // Trace l'itinéraire sur la carte et les différentes étapes du parcours
                //Ici on recupere les distance 
                //alert("Distance :"+(response.routes[0].legs[0].distance.value/1000) + " km, Durer : "+(response.routes[0].legs[0].duration.value/3600) +" heure");
              }
            });
      }


    }

//Attention le mieux c'est d'utiliser les script ci dessous en 1 seul pour eviter de rappeler plusieur fois le meme chose

//Obtenir lieu utilisateur
function getGeolocalisation(){
  if (navigator.geolocation){
    var watchId = navigator.geolocation.watchPosition(successCallback,null,{enableHighAccuracy:true});
  }
  else{
    alert("Votre navigateur ne prend pas en compte la géolocalisation HTML5.");
  }

  function successCallback(position){
    document.getElementById('long').innerHTML=(position.coords.longitude);
    document.getElementById('lat').innerHTML=(position.coords.latitude);
  }
}

//Calcule la distance entre deux points de coordonnées
function calculDistance(lat1,long1,lat2,long2){
  var geoOrig = new google.maps.LatLng(lat1, long1);
  var geoDest = new google.maps.LatLng(lat2, long2);

  var request = {
    origin      : geoOrig,
    destination : geoDest,
    travelMode  : google.maps.DirectionsTravelMode.DRIVING
  }
  var directionsService = new google.maps.DirectionsService();
  directionsService.route(request,
    function(response, status){
      if(status == google.maps.DirectionsStatus.OK){
        document.getElementById('km').innerHTML=(response.routes[0].legs[0].distance.value);
      }
    }    
  );  
}

//Calcule de la durer entre deux point
function calculDuree(lat1,long1,lat2,long2){
  var geoOrig = new google.maps.LatLng(lat1, long1);
  var geoDest = new google.maps.LatLng(lat2, long2);

  var request = {
    origin      : geoOrig,
    destination : geoDest,
    travelMode  : google.maps.DirectionsTravelMode.DRIVING
  }

  var directionsService = new google.maps.DirectionsService();
  directionsService.route(request,
    function(response, status){
      if(status == google.maps.DirectionsStatus.OK){
        document.getElementById('dist').innerHTML=(response.routes[0].legs[0].duration.value);
      }
    }    
  ); 
}

//Retourne l'adresse d'un point
function getAdresse(lat,longi){
  var myLatin = new google.maps.LatLng(lat,longi);
  var geocoder = new google.maps.Geocoder();
  geocoder.geocode({'latLng':myLatin},
    function(results, status) {
      if (status == google.maps.GeocoderStatus.OK) {
        document.getElementById('adresse').innerHTML=(results[0].formatted_address);
      }
    }
  );
}

</script>