<div class="content wide-content">
  <div class="container">
    <!-- avatar column -->
    <div class="col-md-4 avatar-box">
      <div class="personal-image">
        <div class="profile-avatar-wrap">
          <img src="http://www.consostatic.com/wp-content/uploads/2010/12/anonyme.jpg" class="avatar img-circle">
        </div>
        <strong>Changer de photo...</strong>
        <input type="file" id="uploader" />
      </div>
      <div class="alert alert-info">
        <button type="button" class="close" data-dismiss="alert">&times;</button>
        <strong>Vous n'avez pas de photo pour le moment</strong><br />
        Veuillez ajouter une photo. une tête sur un voix facilite grandement le contact.
      </div>
    </div>

    <!-- edit form column -->
    <div class="col-md-8 personal-info">
      <p class="personal-title">Infos personnelles</p>
      <small class="hide">
        <?php $datestring = "%d/%m/%Y"; echo "Inscrit depuis le : ".mdate($datestring, human_to_unix($user->ddc)); ?>
      </small>

      <form class="form-horizontal" method="post" action="<?= site_url('user/updateProfil')?>">
        <div class="form-group">
          <label class="control-label col-md-3" for="email">E-mail : </label>
          <div class="col-md-9">
            <input id="email" name="email" type="email" placeholder="E-mail" class="form-control inline-input" value="<?= $user->email ?>" x-autocompletetype="email" disabled="disabled">
          </div>
        </div>
        <div class="form-group">
          <label class="control-label col-md-3" for="nom">Nom : </label>
          <div class="col-md-9">
            <input id="nom" name="nom" type="text" placeholder="Nom" class="form-control inline-input" value="<?= $user->nom ?>" x-autocompletetype="name">
          </div>
        </div>
        <div class="form-group">
          <label class="control-label col-md-3" for="prenom">Prenom : </label>
          <div class="col-md-9">
            <input id="prenom" name="prenom" type="text" placeholder="Prénom" class="form-control inline-input" value="<?= $user->prenom ?>" x-autocompletetype="given-name">
          </div>
        </div>
        <div class="form-group">
          <label class="control-label col-md-3" for="phone">Téléphone : </label>
          <div class="col-md-9">
            <input id="phone" name="phone" type="tel" placeholder="Numéro de Téléphone" class="form-control inline-input" value="<?= $user->phone ?>" x-autocompletetype="tel">
          </div>
        </div>
        <div class="form-group">
          <label class="control-label col-md-3" for="addresspicker">Adresse : </label>
          <div class="col-md-9">
            <input type="text" id="addresspicker" name="addresspicker" placeholder="Votre adresse postal" class="form-control inline-input" rows="3" value="<?= $user->adresse ?>" />
          </div>
        </div>
        <div class='hide'>
          <input id="num" name="num" value="<?= $user->numero ?>">
          <input id="rue" name="rue" value="<?= $user->rue ?>">
          <input id="cp" name="cp" value="<?= $user->cp ?>">
          <input id="ville" name="ville" value="<?= $user->ville ?>">
          <input id="region" name="region" value="<?= $user->region ?>">
          <input id="pays" name="pays" value="<?= $user->pays ?>">
        </div>
        <div class="form-group">
          <label class="control-label col-md-3" for="ddn">Date de naissance : </label>
          <div class="col-md-9">
            <input id="ddn" name="ddn" type="date" placeholder="date de naissance" class="form-control inline-input" value="<?= $user->ddn ?>">
          </div>
        </div>
        <div class="form-group">
          <div class="col-lg-offset-2 col-lg-10">
            <div class="checkbox">
              <label><input type="checkbox"> Je souhaite m’abonner à la newsletter et recevoir les offres exclusives de Pxlweb.</label>
            </div>
          </div>
        </div>
        <div class="text-right mt35">
          <input type="submit" class="btn btn-primary" value="Sauvegarder les changements">
          <input type="reset" value="Annuler" class="reset">
        </div>
      </form>
    </div>
  </div>
</div>