<?php $user=unserialize($this->session->userdata('user')); ?>
<?= doctype('html5') ?>
<html ng-app lang="fr">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=<?= $this->config->item('charset'); ?>" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
  <meta name="description" content="Pxlweb - Services Création de site Internet. Statique ou dynamique, Html5, CSS3, bootstrap, " />
  <meta name="keywords" content="pxlweb,webagency,agence,web,webmaster,developpement,creation de site internet,html,html5,flash,photoshop,php,CSS,CSS3,javasript,animations 3D,illustrator,swift3D,bas,données,mysql,devis,gratuit,graphisme,gestion,webmastering,webmestre,multimédia,hebergement,nom de domaine,ressource,pxlweb,web,site,crea,rouillon,,html5,<?php echo $title; ?>" />
  <meta name="rating" content="general" />
  <meta name="revisit-after" content="7 days" />
  <meta name="robots" content="all" />

    <title><?= $title ?></title>

  <link rel="stylesheet" type="text/css" media="screen" href="<?= css_url('style'); ?>" />
  </head>

  <body>
    <div class="navbar navbar-inverse navbar-fixed-top" role="navigation">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="<?= site_url() ?>">Accueil</a>
          <a class="navbar-brand" href="<?= site_url() ?>accueil/geoloc">Geoloc</a>
        </div>
        <div class="navbar-collapse collapse">
        </div><!--/.navbar-collapse -->
      </div>
    </div>
    <div class="mt50"></div>
    <?php $this->load->view('templates/alert'); ?>

    <div class="container">
      <?= $contents; ?>
      <hr>
    </div> <!-- /container -->

<!-- footer  -->
<footer id="footer">
  <div class="container">
    <p class="text-muted">Copyright © 2013-<?= mdate('%Y', time()); ?> - <strong>PoneyTeam</strong>. Tous droits réservés.</p>
    <p class="visible-sm"><i class="icon-mobile-phone"></i> Version Smartphone</p>
    <p class="visible-md"><i class="icon-tablet"></i> Version Tablette</p>
  </div>
</footer>


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="http://code.jquery.com/jquery.min.js"></script>
    <script src="http://code.jquery.com/ui/1.10.1/jquery-ui.min.js"></script>
    <script src="//netdna.bootstrapcdn.com/bootstrap/3.0.2/js/bootstrap.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.2.0/angular.min.js"></script>
    <script src="http://maps.google.com/maps/api/js?sensor=false"></script>
    <script src="<?= js_url('bootstrap.min') ?>"></script>
    <script src="<?= js_url('jquery.isotope.min') ?>"></script>
    <script>
      $('#container').isotope({ filter: '.metal' });
      // cache container
      var $container = $('#container');
      // initialize isotope
      $container.isotope({

      });
      // filter items when filter link is clicked
      $('#filters a').click(function(){
        var selector = $(this).attr('data-filter');
        $container.isotope({ filter: selector });
        return false;
      });

      function testController($scope)
      {
        $scope.count=0;
        $scope.changed=function(){
          var str=$scope.recherche;
            if(str[str.length-1]==" ")
              {
                var res=str.split(" ");
                $scope.count=res.length-1;
                console.log(res[$scope.count-1])
                sendToServeur(res[$scope.count-1])
              }
        }
      }

      function sendToServeur(data)
      {
        jQuery.ajax({
            type: 'POST', 
            url: '<?= site_url() ?>search',
            dataType:"JSON",
            data: {
            search: data
            }, 
            success: function(data, textStatus, jqXHR) {

                              //js
                $("#ul").empty();
                $.each(data, function( index, d ) {
                  $("#ul").append(
                    '<li class="col-md-4">'
                      +'<div class="thumbnail">'
                      +'<img src="'+d.urlImage+'" alt="ALT NAME">'
                      +'<div class="caption">'
                      +'<h3>'+d.name+'</h3>'
                      +'<p>'+d.description+'</p>'
                      +'</div>'
                      +'</div>'
                    +'</li>'
                  );
                });
            },
            error: function(jqXHR, textStatus, errorThrown) {
            }
        });
      }
  </script>
    <!-- <script src="<?= js_url('script'); ?>"></script> -->
  </body>
</html>