<?php

	function detectUrl($url) {
		$parse = parse_url($url);
		$id = 0;
		echo $url;
		if(isset($parse['host'])) {
			switch ($parse['host']) {
				case 'youtu.be':
					$info[0] = 'youtube';
					$info[1] = substr($parse['path'], 1);
					return $info;
					break;
				case 'www.youtube.com':
					$info[0] = 'youtube';
					if (isset($parse['query'])) {
						$parse2 = parse_str($parse['query'], $data);
						if (isset($data['v'])) {
							$info[1] = $data['v'];
							return $info;
						}
						else return $url;
					} else {
						$info[1] = substr($parse['path'], 7);
					}
					break;
				case 'vimeo.com':
					$info[0] = 'vimeo';
					$info[1] = substr($parse['path'], 1);
					break;
				case 'www.dailymotion.com':
					$info[0] = 'dailymotion';
					$info[1] = substr($parse['path'], 7);
					break;
				case 'docs.google.com':
					if (mb_eregi("presentation",$parse['path'])) {
						$info[0] = 'googleDocPres';
						if (isset($parse['query'])) {
							$parse2 = parse_str($parse['query'], $data);
							$info[1] = $data['id'];
						} else {
							$id = $parse['path'];
							$id = strstr($id,"d");
							$id = explode("/", $id);
							$info[1] = $id[1];
						}
					} else return $url;
					break;
				default:
					return $url;
					break;
			}
		}
	}

	function formate($host){
		if(is_array($host)) {
			$host = $host[0];
			$id = $host[1];
		} else return $host;

		switch ($host) {
			case 'youtube':
				echo "<br>Lien de type YOUTUBE<br>";
				$formated_url = 'http://www.youtube.com/embed/' . $id . '?autoplay=1&amp;rel=0&amp;vq=hd720';
				break;
			case 'vimeo':
				echo "<br>Lien de type VIMEO<br>";
				$formated_url = 'http://player.vimeo.com/video/' . $id . '?title=0&amp;byline=0&amp;portrait=0&amp;autoplay=1';
				break;
			case 'dailymotion':
				echo "<br>Lien de type DAILYMOTION<br>";
				$formated_url = 'http://www.dailymotion.com/embed/video/' . $id .'?autoPlay=1';
				break;
			case 'googleDocPres':
				echo "<br>Lien de type PRESENTATION GOOGLE DRIVE<br>";
				$formated_url = 'https://docs.google.com/presentation/embed?id=' . $id .'&amp;start=true&amp;loop=false&amp;delayms=3000';
				break;
			default:
				$formated_url = 'Invalide';
				break;
		}

		return $formated_url;
	}

	function getUrlPartage($url){
		return formate(detectUrl($url));
	}
?>